import { Icon } from "shared/assets/icons";
import { useAppStore } from "shared/stores/app-store";
import { IconButton } from "shared/ui/components";

export function SignOut() {
  const store = useAppStore();

  function signOut() {
    store.setAuth(false);
  }

  return (
    <IconButton onClick={signOut}>
      <Icon.LogoutIcon />
    </IconButton>
  );
}
