import { sleep } from "shared/utils/sleep";
import { JUDGES } from "./mock/judges";

export type GetJudgesRequestDto = {
  page: number;
  pageSize?: number;
  order?: string;
};
export async function getJudges(dto: GetJudgesRequestDto) {
  console.log(dto);
  await sleep(1000);
  return { items: JUDGES, rowCount: JUDGES.length };
}
