import { IconButton as Mui, IconButtonProps as MioProps } from "@mui/material";
import { forwardRef } from "react";

type IconButtonProps = MioProps & {};

export function IconButtonComponent(props: IconButtonProps, ref: any) {
  return <Mui color="inherit" {...props} ref={ref} />;
}

export const IconButton = forwardRef(IconButtonComponent);
