import { Header } from "shared/ui/components";

import { Clock } from "features/clock";

import classes from "./AuthLayout.module.css";

type AuthLayoutProps = {
  children?: React.ReactNode;
};
export function AuthLayout(props: AuthLayoutProps) {
  const { children } = props;
  return (
    <>
      <Header leftContent={<Clock />} />
      <main className={classes.main}>{children}</main>
    </>
  );
}
