import { Header } from "shared/ui/components";

import { Clock } from "features/clock";

import classes from "./ErrorLayout.module.css";

type ErrorLayoutProps = {
  children?: React.ReactNode;
};
export function ErrorLayout(props: ErrorLayoutProps) {
  const { children } = props;
  return (
    <>
      <Header leftContent={<Clock />} />
      <main className={classes.main}>{children}</main>
    </>
  );
}
