import { DEVICE_STATUS_TYPES } from "shared/constants/device";

export function checkAccessByDeviceStatus(status: string) {
  // const showDeviceCode = status === DEVICE_STATUS_TYPES.NotConnected;
  const showTurningDevice = status === DEVICE_STATUS_TYPES.Disabled;
  const showDisablingDevice = [
    DEVICE_STATUS_TYPES.Actively,
    DEVICE_STATUS_TYPES.Connected,
    // DEVICE_STATUS_TYPES.NotConnected,
  ].includes(status as any);
  const showEditDevice = [
    DEVICE_STATUS_TYPES.Actively,
    DEVICE_STATUS_TYPES.Connected,
  ].includes(status as any);

  return {
    // showDeviceCode,
    showTurningDevice,
    showDisablingDevice,
    showEditDevice,
  };
}
