import { Typography } from "@mui/material";
import { ClockProvider, DDMMYYYYClock, HHMMClock } from "features/clock";

export function TopBar() {
  return (
    <ClockProvider>
      <HHMMClock />
      <Typography variant="h2">Расписание заседаний</Typography>
      <DDMMYYYYClock />
    </ClockProvider>
  );
}
