package ru.avilex.session.dto.request;

import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;
import lombok.Data;

import java.util.List;
import java.util.UUID;

@Data
public class BigTvDeviceUpdateRequestDTO {
    @NotNull(message = "Devices list cannot be null")
    private List<DeviceUpdateDTO> devices;
    @NotNull(message = "Display time cannot be null")
    private Integer displayTime;

    @Data
    public static class DeviceUpdateDTO {
        @NotNull(message = "Device ID cannot be null")
        private UUID deviceId;
    }
}


