package ru.avilex.session.dto.request;

import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.UUID;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class DeviceUpdateRequestDTO {
    @NotNull
    private UUID deviceId;
    private String manufacturer;
    private String model;
    private UUID hallId;
    private Short displayHearingStatus;
}
