package ru.avilex.session.exception;

import ru.avilex.session.enumeration.ErrorStatusCode;

public class DeviceHallActivateOrNotException extends BusinessException{

    private final static String DEVICE_HALL_ISACTIVE=
            "The hall card is in the active status and is being used by other devices. " +
                    "Only one session can be active at a time.";

    public DeviceHallActivateOrNotException() {
        super(ErrorStatusCode.CHECK_DEVICE_HALL.getCode(), DEVICE_HALL_ISACTIVE);
    }
}
