package ru.avilex.session.exception;

import ru.avilex.session.enumeration.ErrorStatusCode;

public class DeviceHallChangeStatusException extends BusinessException {

    public static final String DEVICE_HALL_CHANGE_STATUS_ERROR =
            "Error in process change hall status";

    public DeviceHallChangeStatusException() {
        super(ErrorStatusCode.DEVICE_HALL_CHANGE_STATUS.getCode(), DEVICE_HALL_CHANGE_STATUS_ERROR);
    }

}
