package ru.avilex.session.exception;

import ru.avilex.session.enumeration.ErrorStatusCode;

public class NoTabletDeviceException extends BusinessException{

    private final static String NO_TABLET="This device is not a tablet";

    public NoTabletDeviceException() {
        super(ErrorStatusCode.DEVICE_NOT_CONFIGURED.getCode(), NO_TABLET);
    }
}
