create table if not exists session_service.device_hall
(
    id              uuid                     not null primary key,
    status          smallint                 not null,
    sleep_time      integer,
    version_row     bigint,
    created_by      text,
    updated_by      text,
    created_on      timestamp with time zone not null,
    updated_on      timestamp with time zone not null,
    pin             varchar(10) unique,
    failed_attempts smallint default 0       not null,
    block_reason    varchar(255),
    name            varchar                  not null,
    notes           varchar
);

insert into session_service.device_hall (id,
                                         status,
                                         sleep_time,
                                         version_row,
                                         created_by,
                                         updated_by,
                                         created_on,
                                         updated_on,
                                         pin,
                                         failed_attempts,
                                         block_reason,
                                         name,
                                         notes)
values ('e7a5a964-714d-4ff6-93a1-3e94f3f0ceb9', 1, 30, 1, 'null', 'null', NOW(), NOW(), '1111', 0,'Зал на ремонте','ЗАЛ 3','ЗАЛ 3'),
       ('f440e3be-4f08-401c-954c-6abc20660eab', 1, 180, 1, 'null', 'null', NOW(), NOW(), '2222', 0,'Зал на ремонте','ЗАЛ 1','ЗАЛ 1'),
       ('20346e37-52cb-494f-916a-8dbfbe4c3b54', 0, 30, 1, 'null', 'null', NOW(), NOW(), '3333', 0,'Зал на ремонте','ЗАЛ 8','ЗАЛ 8'),
       ('99b9571a-ff54-4302-9a44-0750832493fa', 2, 30, 1, 'null', 'null', NOW(), NOW(), '4444', 0,'Зал на ремонте','ЗАЛ 9','ЗАЛ 9'),
       ('50bb5d96-b634-4453-bc94-e884e2fb93b1', 0, 0, 1, 'null', 'null', NOW(), NOW(), '5555', 0,'Зал на ремонте','ЗАЛ 2','ЗАЛ 2'),
       ('79a60188-9dd5-4149-9023-8f368c1432c2', 2, 30, 1, 'null', 'null', NOW(), NOW(), '6666', 0,'Зал на ремонте','ЗАЛ 10','ЗАЛ 10'),
       ('67d44114-a86f-4d4e-acb6-f3d730adec84', 0, 30, 1, 'null', 'null', NOW(), NOW(), '7777', 0,'Зал на ремонте','ЗАЛ 4','ЗАЛ 4'),
       ('b549883e-33df-41fd-a5ef-8cc5e5e3cd3b', 0, 0, 1, 'null', 'null', NOW(), NOW(), '8888', 0,'Зал на ремонте','ЗАЛ 5','ЗАЛ 5'),
       ('8faace00-3c4c-458e-a229-637b1361e02e', 0, 30, 1, 'null', 'null', NOW(), NOW(), '9999', 0,'Зал на ремонте','ЗАЛ 6','ЗАЛ 6'),
       ('52658f9b-79a4-436e-a691-60ab672a5400', 0, 0, 1, 'null', 'null', NOW(), NOW(), '0000', 0,'Зал на ремонте','ЗАЛ 7','ЗАЛ 7');