package ru.avilex.showcase.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class HallCardResponseDTO {
    private String hallName;
    private Integer sleepTime;
    private String pin;

    private List<DeviceDTO> deviceDTOList = new ArrayList<>();

    private String notes;

    public HallCardResponseDTO(String hallName, Integer sleepTime, String pin, String notes) {
        this.hallName = hallName;
        this.sleepTime = sleepTime;
        this.pin = pin;
        this.notes = notes;
    }
}