package ru.avilex.showcase.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class HallDeviceDTO {
    private UUID hallId;
    private String hallName;
    private List<DeviceDTO> devices = new ArrayList<>();
    private String blockReason;
    private int statusId;
    private String notes;

    public HallDeviceDTO(UUID hallId, String hallName ,String blockReason, int statusId, String notes) {
        this.hallId = hallId;
        this.hallName = hallName;
        this.blockReason = blockReason;
        this.statusId = statusId;
        this.notes = notes;
    }
}