package ru.avilex.showcase.exception;


import ru.avilex.showcase.enumerations.ErrorStatusCode;

public class CourtRoomInformationException extends BusinessException{

    private final static String COURTROOM_INFORMATION =
            "Error in obtaining information on a court case.";

    public CourtRoomInformationException() {
        super(ErrorStatusCode.COURTROOM_INFORMATION.getCode(), COURTROOM_INFORMATION);
    }
}
