import 'package:equatable/equatable.dart';
import 'package:typed_json/typed_json.dart';

class ConfigurationResponse extends Equatable {
  final String hallName;

  const ConfigurationResponse({
    required this.hallName,
  });

  ConfigurationResponse.fromJson(Json json) : hallName = json["hallName"].stringOrException;

  ConfigurationResponse copy() {
    return ConfigurationResponse(hallName: hallName);
  }

  @override
  List<Object?> get props => [hallName];
}