import 'package:al/appbar/logic/cubit/appbar_cubit.dart';
import 'package:al/framework/timer/logic/repositories/server_timer_repository.dart';
import 'package:al/framework/di/di_assembly.dart';
import 'package:al/framework/di/di_container.dart';

class AppBarAssembly extends DIAssembly {
  @override
  assembly(DIContainer container) {
    container.registerFactory(
      (container) => AppBarCubit(
        appBarRepository: container.resolve<ServerTimerRepository>(),
      ),
    );
  }
}
