import 'package:al/auth/logic/entities/auth_hall_info.dart';
import 'package:al/framework/network/request_sender.dart';
import 'package:typed_json/typed_json.dart';

class AuthResponse extends IResponse {
  late final AuthHallInfo authHallInfo;

  @override
  void parseResult(Json json) {
    authHallInfo = AuthHallInfo.fromJson(json);
  }
}
