import 'package:equatable/equatable.dart';

class AnalyticsEvent extends Equatable {
  final String name;
  final Map<String, Object>? params;

  const AnalyticsEvent(
    this.name, {
    this.params,
  });

  @override
  String toString() {
    return params != null ? "$name $params" : name;
  }

  @override
  List<Object> get props => [name];
}

class AnalyticsEvents {
  /// Нажатие кнопки "Тест аналитики"
  static const analyticsTest = AnalyticsEvent('al_analytics_test');
}
