/// Контур сервера
enum ServerRoute {
  /// Для разработки нового функционала
  dev,

  /// Для финального тестирования и публикации
  prod,
}

class ServerRouteSerializer {
  static ServerRoute? fromString(String? str) {
    if (str == null) {
      return null;
    }
    switch (str) {
      case "development":
        return ServerRoute.dev;
      case "production":
        return ServerRoute.prod;
    }
    return null;
  }

  static String? routeToString(ServerRoute? route) {
    if (route == null) {
      return null;
    }
    switch (route) {
      case ServerRoute.dev:
        return "development";
      case ServerRoute.prod:
        return "production";
    }
  }
}
