import 'package:flutter/material.dart';

class ALTextField extends StatelessWidget {
  const ALTextField({
    super.key,
    required this.label,
    this.suffixIcon,
  });

  final String label;
  final Widget? suffixIcon;

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      // textInputAction: TextInputAction.,
      decoration: InputDecoration(
        border: const UnderlineInputBorder(),
        labelText: label,
        contentPadding: EdgeInsets.zero,
        suffixIcon: suffixIcon,
      ),
    );
  }
}
