import 'package:flutter/material.dart';

class ALPinButton extends StatelessWidget {
  final String text;
  final VoidCallback onPressed;

  const ALPinButton({
    super.key,
    required this.text,
    required this.onPressed,
  });

  @override
  Widget build(BuildContext context) {
    return TextButton(
      onPressed: onPressed,
      style: const ButtonStyle(),
      child: Text(text),
    );
  }
}
