import 'package:equatable/equatable.dart';
import 'package:typed_json/typed_json.dart';

class ActivationHallInfo extends Equatable {
  final String hallId;
  final String hallName;

  const ActivationHallInfo({
    required this.hallId,
    required this.hallName,
  });

  ActivationHallInfo.fromJson(Json json)
      : hallId = json['hallId'].stringOrException,
        hallName = json['hallName'].stringOrException;

  @override
  List<Object?> get props => [hallId, hallName];
}
