part of 'feature_settings_cubit.dart';

sealed class FeatureSettingsState extends Equatable {
  final List<FeatureSettingsItem> items;
  const FeatureSettingsState({required this.items});

  bool get hasOverriddenSettings => items.any((e) => e.overrideValue != null);

  @override
  List<Object> get props => [items];
}

final class FeatureSettingsInitial extends FeatureSettingsState {
  const FeatureSettingsInitial({
    required List<FeatureSettingsItem> items,
  }) : super(items: items);
}
