import 'package:altv/framework/di/di_assembly.dart';
import 'package:altv/framework/di/di_container.dart';
import 'package:altv/framework/ui/widgets/network_image/network_image_no_cache/logic/bloc/al_network_image_no_cache_cubit.dart';
import 'package:altv/framework/ui/widgets/network_image/network_image_no_cache/logic/repositories/al_network_image_no_cache_repository.dart';

class FRPJNetworkImageNoCacheAssembly extends DIAssembly {
  @override
  assembly(DIContainer container) {
    container.registerFactory<ALNetworkImageNoCacheRepository>(
        (container) => ALNetworkImageNoCacheRepository()
    );

    container.registerFactory<ALNetworkImageNoCacheCubit>(
      (container) => ALNetworkImageNoCacheCubit(
        repository: container.resolve<ALNetworkImageNoCacheRepository>(),
      ),
    );
  }
}
