import 'package:flutter/foundation.dart';
import 'package:http/http.dart';

class ALNetworkImageNoCacheRepository {
  Future<Uint8List?> loadImage(String url) async {
    try {
      return _getImageBytes(url);
    } on Exception {
      return null;
    }
  }

  Future<Uint8List> _getImageBytes(url) async {
    Response response = await get(Uri.parse(url));
    return response.bodyBytes;
  }
}
