#!/bin/bash

if [[ ! -d "builds" ]]; then
  mkdir "builds"
fi

if [[ -z $BUILD_NUMBER ]]; then
  BUILD_NUMBER=0
fi

echo "!!!ANDROID INTERNAL!!!"
fvm flutter build apk --flavor internal --release --build-number=${BUILD_NUMBER}
mv ./build/app/outputs/flutter-apk/app-internal-release.apk ./builds/altv-internal-${BUILD_NUMBER}.apk