import 'package:flutter/material.dart';
import 'package:altv/framework/ui/widgets/web_view/al_web_view.dart';

class WebViewDataPage extends StatelessWidget {
  const WebViewDataPage({super.key});

  @override
  Widget build(BuildContext context) {
    String html = """
          <!DOCTYPE html> 
                <html lang="en"> 
                  <head> 
                    <meta charset="UTF-8"> 
                      <title>Hello!</title> 
                      </head> 
                        <body> 
                          <h1>Привет мир!</h1> 
                          <p>Простой параграф.  <a href="https://ag.mos.ru/home">Тестовая ссылка</a> </p> 
                        </body> 
                </html>""";

    return ALWebView(
      initialHtml: html,
      onOpenUrlInBrowser: (url) => debugPrint(url.toString()),
    );
  }
}
