import { useParams } from "react-router";

import { Helmet, Typography } from "shared/ui/components";

import { helmet } from "./config";

function ErrorPage() {
  const { code } = useParams();

  return (
    <Helmet helmet={helmet}>
      <Typography>Ошибка {code}</Typography>
    </Helmet>
  );
}

export default ErrorPage;
