import { DEVICE_STATUS_ID } from "shared/constants/device";
import { DeviceEntities } from "../../types/devices/entities/device";

export const DEVICES: DeviceEntities = [
  {
    id: "1",
    hallId: "1",
    manufacturer: "Huawei",
    model: "MatePad Pro PCE-W27",
    uuid: "666554218",
    hallName: "1001",
    statusId: DEVICE_STATUS_ID.Actively,
  },
  {
    id: "2",
    hallId: "2",
    manufacturer: "Huawei",
    model: "MatePad Pro PCE-W29",
    uuid: "667842542",
    hallName: "null",
    statusId: DEVICE_STATUS_ID.Connected,
  },
  {
    id: "3",
    hallId: "3",
    manufacturer: "Huawei",
    model: "MatePad Pro PCE-W29",
    uuid: "667842543",
    hallName: "null",
    statusId: DEVICE_STATUS_ID.Disabled,
  },
];
