export const HALL_STATUS_ID = {
  Active: 0,
  Blocked: 1,
  Logout: 2,
  Deleted: 3,
  BlockedByPin: 4,
};

export const HALL_ACTIONS_STATUS_ID = {
  Blocked: 1,
  Active: 0,
  Logout: 2,
};

export const HALL_ACTIVE_STATUS = {
  [HALL_STATUS_ID.Active]: true,
  [HALL_STATUS_ID.Logout]: true,
};

export const HALL_STATUS_TYPES = {
  Active: "Active",
  Blocked: "Blocked",
} as const;

export const HALL_STATUS_NAMES = {
  [HALL_STATUS_TYPES.Active]: "Активна",
  [HALL_STATUS_TYPES.Blocked]: "Заблокирована",
} as const;

export const HALL_STATUS_COLORS = {
  [HALL_STATUS_TYPES.Blocked]: "error",
  [HALL_STATUS_TYPES.Active]: "success",
} as const;
