import { forwardRef } from "react";
import { NavLink as RouterNavLink } from "react-router-dom";

export const NavLink = forwardRef((props: any, ref: any) => (
  <RouterNavLink
    ref={ref}
    {...props}
    className={({ isActive }) =>
      isActive ? props.className + " Mui-selected" : props.className
    }
    end
  />
));
