import { Typography as Mui, TypographyProps as MioProps } from "@mui/material";

export type TypographyProps = MioProps & {};
export function Typography(props: TypographyProps) {
  let { color, sx } = props;
  sx = { ...sx };
  if (color === "success") {
    sx = { ...sx, color: "success.main" };
  }
  return <Mui color={color} sx={sx} {...props} />;
}
