import { Box, Typography, styled } from "@mui/material";
import { useClock } from "./model";

export function HHMMClock() {
  const { time } = useClock();

  return (
    <Wrapper>
      <Typography variant="h3">{time}</Typography>
    </Wrapper>
  );
}

export function DDMMYYYYClock() {
  const { date } = useClock();

  return (
    <Wrapper>
      <Typography variant="h3">{date}</Typography>
    </Wrapper>
  );
}

const Wrapper = styled(Box)(() => {
  return {
    display: "flex",
    alignItems: "center",
    justifyContent: "center",
  };
});
