import { Helmet } from "shared/ui";

import { Layout } from "./components/layout";
import { TopBar } from "./components/top-bar";
import { MainContent } from "./components/main-content";

const HELMET = { title: "Планшет | АС города Москвы", description: "" };

function ScheduleMeetingsPage() {
  return (
    <Helmet helmet={HELMET}>
      <Layout topBar={<TopBar />} main={<MainContent />} />
    </Helmet>
  );
}

export default ScheduleMeetingsPage;
