//package ru.avilex.gateway.controller;
//
//import org.springframework.security.oauth2.client.OAuth2AuthorizedClient;
//import org.springframework.security.oauth2.client.annotation.RegisteredOAuth2AuthorizedClient;
//import org.springframework.security.oauth2.client.authentication.OAuth2AuthenticationToken;
//import org.springframework.security.oauth2.core.oidc.user.OidcUser;
//import org.springframework.web.bind.annotation.GetMapping;
//import org.springframework.web.bind.annotation.RestController;
//import reactor.core.publisher.Mono;
//import java.util.Collections;
//import java.util.Map;
//
//@RestController
//public class AuthController {
//
//    @GetMapping(value = "/token")
//    public Mono<Map<String, String>> getToken(@RegisteredOAuth2AuthorizedClient OAuth2AuthorizedClient authorizedClient) {
//        return Mono.just(Collections.singletonMap("token", authorizedClient.getAccessToken().getTokenValue()));
//    }
//
//    @GetMapping(value = "/userinfo")
//    public Mono<Map<String, Object>> getUserInfo(OAuth2AuthenticationToken authentication) {
//        OidcUser oidcUser = (OidcUser) authentication.getPrincipal();
//        return Mono.just(oidcUser.getUserInfo().getClaims());
//    }
//}