package ru.avilex.session.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
public class WebSocketPropertiesConfig {

    @Value("${websocket.destinations.small-tv}")
    private String smallTvDestination;

    @Value("${websocket.destinations.big-tv}")
    private String bigTvDestination;

    public String getSmallTvDestination() {
        return smallTvDestination;
    }

    public String getBigTvDestination() {
        return bigTvDestination;
    }
}