package ru.avilex.session.controller;

import lombok.RequiredArgsConstructor;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import ru.avilex.session.dto.HearingDTO;
import ru.avilex.session.service.HearingService;
import ru.avilex.session.service.SessionService;

import java.util.UUID;

@RestController
@RequestMapping(value = "api/v1/hearing")
@RequiredArgsConstructor
public class HearingController {


    private final HearingService hearingService;


    @PutMapping("/{hearingId}")
    public ResponseEntity<?> updateStatus(@PathVariable UUID hearingId, @RequestBody HearingDTO hearingStatus) {
        hearingService.changeHearingStatus(hearingId, hearingStatus.getStatus());
        return ResponseEntity.ok("Ok");
    }
}