package ru.avilex.session.exception;

import ru.avilex.session.enumeration.ErrorStatusCode;

public class DeviceHallAbsentException extends BusinessException {

    public static final String DEVICE_HALL_IS_ABSENT =
            "The device is not active in the admin panel. DeviceHall is absent";

    public DeviceHallAbsentException() {
        super(ErrorStatusCode.DEVICE_NOT_CONFIGURED.getCode(), DEVICE_HALL_IS_ABSENT);
    }
}
