package ru.avilex.session.exception;

import ru.avilex.session.enumeration.ErrorStatusCode;

public class DeviceHallBlockCardException extends  BusinessException{

    private final static String HALL_BLOCK_CARD =
            "It is not possible to transfer a blocked hall card to Active";

    public DeviceHallBlockCardException() {
        super(ErrorStatusCode.DEVICE_HALL_CHANGE_STATUS.getCode(), HALL_BLOCK_CARD);
    }
}
