package ru.avilex.session.exception;

import ru.avilex.session.enumeration.ErrorStatusCode;

public class DeviceHallBlockedOrDeletedException extends BusinessException {

    private final static String DEVICE_HALL_BLOCKED_OR_DELETED =
            "The device is not active in the admin panel. DeviceHall has status 'BLOCKED' or 'DELETED'";

    public DeviceHallBlockedOrDeletedException() {
        super(ErrorStatusCode.DEVICE_NOT_CONFIGURED.getCode(), DEVICE_HALL_BLOCKED_OR_DELETED);
    }
}
