package ru.avilex.session.exception;

import ru.avilex.session.enumeration.ErrorStatusCode;

public class DeviceHallStatusBlockedException extends BusinessException {

    private final static String DEVICE_HALL_BLOCKED =
            "Pin code incorrectly entered more than 3 times. DeviceHall has status 'BLOCKED'";

    public DeviceHallStatusBlockedException() {
        super(ErrorStatusCode.SESSION_BLOCKED.getCode(), DEVICE_HALL_BLOCKED);
    }
}
