package ru.avilex.session.exception;

import ru.avilex.session.enumeration.ErrorStatusCode;

public class ImpossibleEnterNewValueException extends  BusinessException{

    private final static String TABLET_BLOCK_MESSAGE = "Невозможно внести новое значение. Время до блокировки экрана планшета. Пожалуйста, добавьте планшет к залу в разделе 'Планшеты'.";

    public ImpossibleEnterNewValueException() {
        super(ErrorStatusCode.DEVICE_HALL_CHANGE_STATUS.getCode(), TABLET_BLOCK_MESSAGE);
    }
}
