package ru.avilex.session.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.NullValuePropertyMappingStrategy;
import org.mapstruct.ReportingPolicy;
import org.springframework.context.annotation.Configuration;
import ru.avilex.session.dto.DeviceDTO;
import ru.avilex.session.model.Device;

@Configuration
@Mapper(
        componentModel = "spring",
        nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE,
        unmappedTargetPolicy = ReportingPolicy.IGNORE
)
public interface DeviceMapper {
    DeviceDTO toDeviceDTO(Device device);

    Device toDevice(DeviceDTO dto);
}
