create table if not exists session_service.device
(
    id             uuid               not null constraint device_pk primary key,
    device_type    integer            not null,
    model          varchar,
    status         smallint default 0 not null,
    device_hall_id uuid                         constraint device_hall_idfk references session_service.device_hall,
    manufacturer   varchar
);

insert into session_service.device (id,
                                    device_type,
                                    model,
                                    status,
                                    device_hall_id,
                                    manufacturer)
values ('c56d0ddc-9e1b-4d6e-887d-7330ab2653fb', 1, 'My Test Ipad', 1, '50bb5d96-b634-4453-bc94-e884e2fb93b1', 'vivisigno'),
       ('5b8eefd6-c929-4ef8-a45c-cdf12695ec63', 0, 'IPad Pro', 1, '52658f9b-79a4-436e-a691-60ab672a5400', 'Apple'),
       ('dd3404bb-cbd0-4fc4-8284-565e581dfdc4', 0, 'TAB Pro 11', 1, '99b9571a-ff54-4302-9a44-0750832493fa', 'POKAZ'),
       ('08209f03-61a2-4560-a7e2-aa35d59e8cfe', 1, 'TV', 1, '99b9571a-ff54-4302-9a44-0750832493fa', ''),
       ('0d0e94c6-cf7a-4574-a0cf-e58f396639ce', 1, 'TAB Pro 11', 1, '99b9571a-ff54-4302-9a44-0750832493fa', 'POKAZ'),
       ('b6452b0e-159d-46b9-8c71-e5804816199b', 0, 'Galaxy Tab S9', 2, null, 'Samsung'),
       ('6a995b3c-da38-4d57-ab85-8392cf59a4d2', 0, 'MatePad Pro 11', 2, null, 'Huawei'),
       ('d4079a32-4760-4796-ab9d-a3497f712cc3', 0, 'TD-1070', 2, null, 'Qbic'),
       ('275c1dbc-18da-42dd-a7dc-c4a678446f16', 2, '75UH5J-H(АА)', 1, null, 'LG'),
       ('9d37512e-dbf6-4665-b013-fe8faa09bf4b', 0, 'Galaxy Tab S9', 2, null, 'Samsung');