package ru.avilex.showcase.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.UUID;

@Getter
@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DeviceActivationStatusDTO {
    @JsonProperty("isConfigured")
    private boolean configured;
    @JsonProperty("hallId")
    private UUID hallId;
    @JsonProperty("hallName")
    private String hallName;
}
