package ru.avilex.showcase.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class PageDTO<T> {
    private List<T> content;
    private int size;
    private long totalElements;
    private int totalPages;
    private int number;

    public PageDTO(List<T> content, int size, long totalElements, int number) {
        this.content = content;
        this.size = size;
        this.totalElements = totalElements;
        this.number = number;
    }
}
