package ru.avilex.showcase.exception;


import ru.avilex.showcase.enumerations.ErrorStatusCode;

public class DeviceDisabledException extends BusinessException {

    private final static String DEVICE_IS_DISABLED =
            "The device is not active in the admin panel. Device has status 'DISABLED', 'CONNECTED'";

    public DeviceDisabledException() {
        super(ErrorStatusCode.DEVICE_NOT_CONFIGURED.getCode(), DEVICE_IS_DISABLED);
    }
}
