package ru.avilex.showcase.exception;


import ru.avilex.showcase.enumerations.ErrorStatusCode;

public class DeviceHallLogoutException extends BusinessException {

    private final static String DEVICE_HALL_IS_LOGOUT =
            "Account session ended in the admin panel. DeviceHall has status 'LOGOUT'";

    public DeviceHallLogoutException() {
        super(ErrorStatusCode.SESSION_LOGOUT.getCode(), DEVICE_HALL_IS_LOGOUT);
    }
}
