package ru.avilex.showcase.exception;


import static ru.avilex.showcase.enumerations.ErrorStatusCode.SMALL_TV_COURTROOM;

public class DisplayCourtRoomException extends BusinessException{

    private final static String DISPLAY_COURTROOM =
            "Error in obtaining information for display on TV outside the courtroom.";

    public DisplayCourtRoomException(Integer code, String reason) {
        super(SMALL_TV_COURTROOM.getCode(),DISPLAY_COURTROOM);
    }
}
