package ru.avilex.showcase.exception;

import ru.avilex.showcase.enumerations.ErrorStatusCode;

public class СonfiguratioDataException extends BusinessException {

    private final static String CONFIGURATION_NO_REQUEST = "Data can not be obtained due to the device configuration";

    public СonfiguratioDataException() {
        super(ErrorStatusCode.CONFIGURATION_NO_REQUEST.getCode(), CONFIGURATION_NO_REQUEST);
    }
}
