package ru.avilex.showcase.mapper;

import org.springframework.jdbc.core.RowMapper;
import ru.avilex.showcase.dto.DeviceConfigurationDTO;

import java.sql.ResultSet;
import java.sql.SQLException;

public class DeviceConfigurationDTORowMapper implements RowMapper<DeviceConfigurationDTO> {

    @Override
    public DeviceConfigurationDTO mapRow(ResultSet rs, int rowNum) throws SQLException {
        Integer displayHearingStatusInt = (Integer) rs.getObject("display_hearing_status");

        return new DeviceConfigurationDTO(
                displayHearingStatusInt,
                (Integer) rs.getObject("display_time"),
                (Integer) rs.getObject("status")
        );
    }
}
