import 'package:equatable/equatable.dart';
import 'package:typed_json/typed_json.dart';

class IdentificationRequest extends Equatable {
  final String uuid;

  const IdentificationRequest({
    required this.uuid,
  });

  IdentificationRequest.fromJson(Json json) : uuid = json["uuid"].stringOrException;

  IdentificationRequest copy() {
    return IdentificationRequest(uuid: uuid);
  }

  @override
  List<Object?> get props => [uuid];
}
