import 'package:equatable/equatable.dart';

sealed class AppBarState extends Equatable {
  final DateTime? time;

  const AppBarState({
    required this.time,
  });

  @override
  List<Object?> get props => [time];
}

final class AppBarInitial extends AppBarState {
  const AppBarInitial({
    required super.time,
  });

  @override
  List<Object?> get props => [super.props];
}
