import 'package:typed_json/typed_json.dart';

import 'package:al/framework/network/i_request.dart';

class AuthLogoutRequest extends IPostRequest {
  final String hallId;

  AuthLogoutRequest({
    required this.hallId,
  });

  @override
  String get apiMethod => 'session-service/api/device-hall/logout';

  @override
  Json getBody() {
    final json = Json.object();
    json['hallId'].stringValue = hallId;

    return json;
  }
}
