import 'package:al/debug_settings/logic/bloc/environment_settings/environment_settings_cubit.dart';
import 'package:al/framework/di/di_assembly.dart';
import 'package:al/framework/di/di_container.dart';
import 'package:al/framework/environment/environment.dart';

class DebugSettingsAssembly extends DIAssembly {
  @override
  void assembly(DIContainer container) {
    container.registerFactory(
      (container) => EnvironmentSettingsCubit(
        environment: container.resolve<Environment>(),
      ),
    );
  }
}
