import 'package:flutter/material.dart';

extension ColorStringExtension on Color {
  /// Возвращает строку с описанием цвета в формате #RRGGBB
  String toHexString() {
    final radix = value.toRadixString(16).substring(2);
    return "#$radix";
  }
}
