import 'package:typed_json/typed_json.dart';

import 'package:al/framework/network/request_sender.dart';

class LauncherUuidRequest extends IPostRequest {
  final String model;

  LauncherUuidRequest({
    required this.model,
  });

  @override
  String get apiMethod => 'session-service/api/device/identification/tablet';

  @override
  Map<String, dynamic> getParameters() {
    return {};
  }

  @override
  Json getBody() {
    final json = Json.object();

    json['model'].stringValue = model;

    return json;
  }
}
