import 'package:al/framework/network/request_sender.dart';
import 'package:al/launcher/logic/network/launcher_uuid_request.dart';
import 'package:al/launcher/logic/network/launcher_uuid_response.dart';

class LauncherRepository {
  final RequestSender requestSender;

  LauncherRepository({
    required this.requestSender,
  });

  Future<String> getUuid() async {
    final response = await requestSender.send(
      LauncherUuidRequest(
        model: 'test',
      ), // TODO брать настоящую модельу устройства
      LauncherUuidResponse(),
    );

    return response.uuid;
  }
}
