#!/bin/bash

fvm install
# Выполняем flutter clean и flutter pub get во всех каталогах, содержащих подкаталог lib.
for dir in $(find . -maxdepth 3 -type d); do
    # Проверяем, содержит ли каталог Flutter модуль
    if [ -f "$dir/pubspec.yaml" ]; then
        # Если есть каталог build - делаем flutter clean
        if [ -d "$dir/build" ]; then
            (cd $dir && fvm flutter clean)
        fi
        # echo "Installing dependencies $dir"
        (cd $dir && fvm flutter pub get)
    fi
done
