#!/bin/bash

# Скрипт запускает юнит-тесты и возвращает код результата:
# 0 - Все тесты пройдены
# 1 - Есть ошибки
#
# Пример вызова:
# ./scripts/test.sh

exit_code=0

./scripts/unit_tests/test.sh
# Если результат последней команды не 0 - фиксируем факт ошибки
if [ ! $? -eq 0 ]; then
    exit_code=1
fi

exit $exit_code