# AL Flutter

## Предварительные требования
- Xcode 15 для iOS
- Android SDK version 33.0.2, OpenJDK 11 для Android
- FVM
- Python 3.8

На MacOS предварительно может потребоваться выполнить
```bash
xattr -d com.apple.quarantine -r ./*
```

Разрешение на запуск скриптов:
```bash
chmod +x ./scripts/*.sh
```

## Установка зависимостей
Скрипт выполняет flutter clean и flutter pub get во всех каталогах, содержащих подкаталог lib.
```bash
./scripts/clean.sh
```

## Запуск тестов
```bash
./scripts/test.sh
```

## Запуск приложения на подключенном эмуляторе/устройстве:
```bash
fvm flutter run --flavor internal
fvm flutter run --flavor store
```

## Запуск приложения на подключенном эмуляторе/устройстве из Android Studio:
1. Settings -> Languages & Frameworks -> Flutter -> Flutter SDK path установить `<project_path>/.fvm/flutter_sdk`
2. Edit configuration -> Заполнить поле "Build flavor"

