package ru.tanto.altv

import ru.tanto.altv.BuildConfig.FLAVOR

class BuildFlavor {
    companion object {
        fun getFlutterEntryPoint(): String {
            return when (FLAVOR) {
                FLAVOR_INTERNAL -> FLUTTER_ENTRY_POINT_INTERNAL
                FLAVOR_STORE -> FLUTTER_ENTRY_POINT_STORE
                else -> FLUTTER_ENTRY_POINT_STORE
            }
        }

        private const val FLAVOR_INTERNAL = "internal"
        private const val FLAVOR_STORE = "store"

        private const val FLUTTER_ENTRY_POINT_INTERNAL = "mainInternal"
        private const val FLUTTER_ENTRY_POINT_STORE = "mainStore"
    }
}