/// Контур сервера
enum ServerRoute {
  /// Для разработки нового функционала
  development,

  /// Для финального тестирования и публикации
  production,
}

class ServerRouteSerializer {
  static ServerRoute? fromString(String? str) {
    if (str == null) {
      return null;
    }
    switch (str) {
      case "development":
        return ServerRoute.development;
      case "production":
        return ServerRoute.production;
    }
    return null;
  }

  static String? routeToString(ServerRoute? route) {
    if (route == null) {
      return null;
    }
    switch (route) {
      case ServerRoute.development:
        return "development";
      case ServerRoute.production:
        return "production";
    }
  }
}
