import 'package:typed_json/typed_json.dart';

class ALJsonForcedStringAdapter implements JsonAdapter<String> {
  @override
  String? fromJson(Json json) {
    final value = json.dynamicValue;
    if (value is String) {
      return value;
    } else if (value is num) {
      return value.toString();
    } else {
      return null;
    }
  }

  @override
  Json toJson(String? value) => Json(value);
}
