import 'package:altv/framework/theme/al_theme_colors.dart';
import 'package:fluttertoast/fluttertoast.dart';

class ALToast {
  static void showShortMessage(String text) {
    Fluttertoast.showToast(
      msg: text,
      toastLength: Toast.LENGTH_SHORT,
      gravity: ToastGravity.BOTTOM,
      timeInSecForIosWeb: 1,
      backgroundColor: ALThemeColors.lightColors.dark,
      textColor: ALThemeColors.lightColors.white,
      fontSize: 16.0,
    );
  }
}
