import 'package:audioplayers/audioplayers.dart';

class SoundPlayer {
  static const String _hearingStartSound = 'audio/hearing_start.wav';

  static Future<void> playHearingStartSound() async {
    final player = AudioPlayer();

    await player.play(AssetSource(_hearingStartSound));

    // Потому что коллбек от play криво отрабатывает
    await Future.delayed(const Duration(seconds: 5));

    player.stop();
    player.dispose();
  }
}
