import 'package:altv/framework/network/request_sender.dart';
import 'package:typed_json/typed_json.dart';

class HearingSessionResponse extends IResponse {
  late final String? primaryCaseNumber;

  @override
  void parseResult(Json json) {
    if (json.isExist) {
      primaryCaseNumber = json['primaryCaseNumber'].stringValue;
    } else {
      primaryCaseNumber = null;
    }
  }
}
