import 'package:altv/framework/storages/secure_storage.dart';
import 'package:altv/activation/logic/repository/activation_repository.dart';

class LauncherCheckDeviceActivationStage {
  final ISecureStorage secureStorage;
  final ActivationRepository repository;

  LauncherCheckDeviceActivationStage({
    required this.secureStorage,
    required this.repository,
  });

  Future<bool> call() async {
    return await repository.checkActivation();
  }
}
