#!/bin/bash

if [[ ! -d "builds" ]]; then
  mkdir "builds"
fi

if [[ -z $BUILD_NUMBER ]]; then
  BUILD_NUMBER=0
fi

echo "!!!STORE!!!"
fvm flutter build apk --flavor store --release --build-number=${BUILD_NUMBER}
mv ./build/app/outputs/flutter-apk/app-store-release.apk ./builds/altv-store-${BUILD_NUMBER}.apk
