import 'package:flutter/material.dart';
import 'package:altv/framework/ui/widgets/al_grid.dart';

class GridPage extends StatelessWidget {
  const GridPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(16),
      child: ALGrid(
        items: const [
          'Первый элемент',
          'Второй элемент с длинным текстом, чтобы проверить, что высота строк ALGrid не фиксирована',
          'Третий элемент',
          'Четвертый элемент',
          'Пятый элемент с длинным текстом, чтобы проверить, что высота строк ALGrid не фиксирована',
          'Шестой элемент',
          'Седьмой элемент',
          'Восьмой элемент',
          'Девятый элемент',
          'Десятый элемент',
          'Одиннадцатый элемент',
        ],
        itemBuilder: (value) => Container(
          color: Colors.black12,
          child: Column(
            children: [
              Container(
                height: 100,
                color: Colors.orangeAccent,
              ),
              Text(value, textAlign: TextAlign.center,)
            ],
          ),
        ),
        crossAxisCount: 2
      ),
    );
  }
}
