import 'package:altv/framework/ui/widgets/network_image/al_network_image.dart';
import 'package:flutter/material.dart';

class NetworkImagePage extends StatelessWidget {
  const NetworkImagePage({super.key});

  static const List<Widget> images = [
    ALNetworkImage(
      imageUrl: 'https://service.ag.mos.ru/static-result/mp_720_180.jpg',
      height: 100,
    ),
    ALNetworkImage(
      imageUrl: 'https://test.cms.ag.mos.ru/images/For_banners/720%D1%85180.png',
      height: 100,
    ),
    ALNetworkImage(
      imageUrl: 'https://www.stockvault.net/data/2021/01/08/282272/preview16.jpg',
      height: 100,
    ),
    ALNetworkImage(
      imageUrl: 'https://www.stockvault.net/data/2021/01/08/282270/preview16.jpg',
      height: 100,
    ),
    ALNetworkImage(
      imageUrl: 'https://dev.w3.org/SVG/tools/svgweb/samples/svg-files/atom.svg',
      height: 100,
      isSvgSupported: true,
    ),
  ];

  @override
  Widget build(BuildContext context) {
    return const SingleChildScrollView(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.stretch,
        mainAxisAlignment: MainAxisAlignment.start,
        mainAxisSize: MainAxisSize.max,
        children: images,
      ),
    );
  }
}
