import 'package:flutter/material.dart';
import 'package:altv/framework/log/log.dart';
import 'package:altv/framework/ui/widgets/web_view/al_web_view.dart';
import 'package:altv/framework/ui/widgets/web_view/al_web_view_action.dart';

class WebViewPage extends StatelessWidget {
  const WebViewPage({super.key});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: ALWebView(
        initialUrl: Uri.parse("https://gz.mos.ru/agreement"),
        urlActionResolver: ({currentUrl, required newUrl}) => ALWebViewAction.openInBrowser,
        onOpenUrlInBrowser: (uri) => Log.d(uri.toString()),
      ),
    );
  }
}
